Package org.apache.catalina.startup

## Class Constants

- java.lang.Object
- - org.apache.catalina.startup.Constants

    public final class Constants
    extends java.lang.Object

String constants for the startup package.
Note that some values include a leading '/' and that some do not. This is intentional based on how the values are used.

Author:
  Craig R. McClanahan

### Field Summary

Fields
`static java.lang.String` `ApplicationContextXml`
`static java.lang.String` `ApplicationWebXml`
`static java.lang.String` `CATALINA_BASE_PROP` Name of the system property containing the tomcat instance installation path
`static java.lang.String` `CATALINA_HOME_PROP` Name of the system property containing the tomcat product installation path
`static java.lang.String` `DefaultContextXml`
`static java.lang.String` `DefaultWebXml`
`static java.lang.String` `HostContextXml`
`static java.lang.String` `HostWebXml`
`static java.lang.String` `NoDefaultWebXml` A value that points to a non-existent file used to suppress loading the default web.xml file.
`static java.lang.String` `Package`
`static java.lang.String` `WarTracker`

### Constructor Summary

Constructors
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Package

    public static final java.lang.String Package

See Also:
  Constant Field Values

#### ApplicationContextXml

    public static final java.lang.String ApplicationContextXml

See Also:
  Constant Field Values

#### ApplicationWebXml

    public static final java.lang.String ApplicationWebXml

See Also:
  Constant Field Values

#### DefaultContextXml

    public static final java.lang.String DefaultContextXml

See Also:
  Constant Field Values

#### DefaultWebXml

    public static final java.lang.String DefaultWebXml

See Also:
  Constant Field Values

#### HostContextXml

    public static final java.lang.String HostContextXml

See Also:
  Constant Field Values

#### HostWebXml

    public static final java.lang.String HostWebXml

See Also:
  Constant Field Values

#### WarTracker

    public static final java.lang.String WarTracker

See Also:
  Constant Field Values

#### NoDefaultWebXml

    public static final java.lang.String NoDefaultWebXml

A value that points to a non-existent file used to suppress loading the default web.xml file.

It is useful when embedding Tomcat, when the default configuration is done programmatically, e.g. by calling `Tomcat.initWebappDefaults(context)`.

See Also:
  `Tomcat`, Constant Field Values

#### CATALINA_HOME_PROP

    public static final java.lang.String CATALINA_HOME_PROP

Name of the system property containing the tomcat product installation path

See Also:
  Constant Field Values

#### CATALINA_BASE_PROP

    public static final java.lang.String CATALINA_BASE_PROP

Name of the system property containing the tomcat instance installation path

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()